local Public = {}

Public.treasures = {
	["wooden-chest"] = {
		tech_bonus = 0.1,
		amount_multiplier = 1,
		description = "an old wooden crate.",
	},
	["iron-chest"] = {
		tech_bonus = 0.15,
		amount_multiplier = 1.5,
		description = "an antique iron crate.",
	},
	["steel-chest"] = {
		tech_bonus = 0.2,
		amount_multiplier = 2,
		description = "a shiny metal box!",
	},
	["crash-site-spaceship-wreck-medium-1"] = {
		tech_bonus = 0.25,
		amount_multiplier = 2.5,
		description = "a spaceship wreck piece!",
	},
	["crash-site-spaceship-wreck-medium-2"] = {
		tech_bonus = 0.25,
		amount_multiplier = 2.5,		
		description = "a space station wreck piece, containing some precious scrap!",
	},
	["crash-site-spaceship-wreck-medium-3"] = {
		tech_bonus = 0.25,
		amount_multiplier = 2.5,
		description = "a wreck piece, containing rare scrap!",
	},
	["crash-site-spaceship-wreck-big-1"] = {
		tech_bonus = 0.30,
		amount_multiplier = 3,
		description = "a big wreck.",
	},
	["crash-site-spaceship-wreck-big-2"] = {
		tech_bonus = 0.30,
		amount_multiplier = 3,
		description = "a station wreck!",
	},
	["big-ship-wreck-1"] = {
		tech_bonus = 0.35,
		amount_multiplier = 3.5,
		description = "a crashed space ship! The cargo is still intact!",
	},
	["big-ship-wreck-2"] = {
		tech_bonus = 0.35,
		amount_multiplier = 3.5,
		description = "a crashed space ship!",
	},
	["big-ship-wreck-3"] = {
		tech_bonus = 0.35,
		amount_multiplier = 3.5,
		description = "a crashed starship!",
	},
	["crash-site-chest-1"] = {
		tech_bonus = 0.40,
		amount_multiplier = 4,
		description = "a drop pod capsule! It is filled with useful loot!",
	},
	["crash-site-chest-2"] = {
		tech_bonus = 0.40,
		amount_multiplier = 4,
		description = "a cargo pod capsule! It is filled with nice things!",
	},
	["crash-site-spaceship"] = {
		tech_bonus = 0.5,
		amount_multiplier = 5,
		description = "a big crashed spaceship! There are treasures inside..",
	},
}

Public.chat_color = {200, 200, 200}

Public.starting_items = {
	["pistol"] = 1,
	["firearm-magazine"] = 8,
	["wood"] = 8,
	["raw-fish"] = 3,	
}

Public.reveal_chain_brush_sizes = {
	["unit"] = 7,
	["unit-spawner"] = 15,
	["turret"] = 9,
}

Public.spawn_market_items = {
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'rail', count = 2}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'rail-signal', count = 1}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'rail-chain-signal', count = 1}},
	{price = {{"raw-fish", 8}}, offer = {type = 'give-item', item = 'train-stop'}},
	{price = {{"raw-fish", 50}}, offer = {type = 'give-item', item = 'locomotive'}},
	{price = {{"raw-fish", 20}}, offer = {type = 'give-item', item = 'cargo-wagon'}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'red-wire', count = 2}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'green-wire', count = 2}},
	{price = {{"raw-fish", 3}}, offer = {type = 'give-item', item = 'decider-combinator'}},
	{price = {{"raw-fish", 3}}, offer = {type = 'give-item', item = 'arithmetic-combinator'}},
	{price = {{"raw-fish", 2}}, offer = {type = 'give-item', item = 'constant-combinator'}},
	{price = {{"raw-fish", 4}}, offer = {type = 'give-item', item = 'programmable-speaker'}},
	{price = {{"raw-fish", 2}}, offer = {type = 'give-item', item = 'small-lamp'}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'firearm-magazine', count = 2}},
	{price = {{"raw-fish", 2}}, offer = {type = 'give-item', item = 'piercing-rounds-magazine'}},
	{price = {{"raw-fish", 2}}, offer = {type = 'give-item', item = 'grenade'}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'land-mine'}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'explosives', count = 3}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'wood', count = 10}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'iron-ore', count = 10}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'copper-ore', count = 10}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'stone', count = 10}},
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'coal', count = 10}},	
	{price = {{"raw-fish", 1}}, offer = {type = 'give-item', item = 'uranium-ore', count = 5}},
	{price = {{'wood', 15}}, offer = {type = 'give-item', item = "raw-fish", count = 1}},	
	{price = {{'iron-ore', 15}}, offer = {type = 'give-item', item = "raw-fish", count = 1}},
	{price = {{'copper-ore', 15}}, offer = {type = 'give-item', item = "raw-fish", count = 1}},
	{price = {{'stone', 15}}, offer = {type = 'give-item', item = "raw-fish", count = 1}},
	{price = {{'coal', 15}}, offer = {type = 'give-item', item = "raw-fish", count = 1}},	
	{price = {{'uranium-ore', 7}}, offer = {type = 'give-item', item = "raw-fish", count = 1}}
}

Public.pickaxe_tiers = {
"1级木",
"2级木",
"3级木",
"4级木",
"5级木",
"6级木",
"7级木",
"8级木",
"9级木",
"10级黑铁",
"11级黑铁",
"12级黑铁",
"13级黑铁",
"14级黑铁",
"15级黑铁",
"16级黑铁",
"17级黑铁",
"18级黑铁",
"19级黑铁",
"20级青铜",
"21级青铜",
"22级青铜",
"23级青铜",
"24级青铜",
"25级青铜",
"26级青铜",
"27级青铜",
"28级青铜",
"29级青铜",
"30级青铜",
"31级白银",
"32级白银",
"33级白银",
"34级白银",
"35级白银",
"36级白银",
"37级白银",
"38级白银",
"39级白银",
"40级白银",
"41级黄金",
"42级黄金",
"43级黄金",
"44级黄金",
"45级黄金",
"46级黄金",
"47级黄金",
"48级黄金",
"49级黄金",
"50级钻石",
"51级钻石",
"52级钻石",
"53级钻石",
"54级钻石",
"55级钻石",
"56级钻石",
"57级钻石",
"58级钻石",
"59级钻石",
"60级徒手"
}

return Public